# Method: partners.adsAccountLinks.create

- [HTTP request](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/create#body.request_body)
- [Response body](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/create#body.response_body)
- [Authorization scopes](https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks/create#body.aspect)

Creates Ads account link. This will initiate link between the Google Ads account and Partner Center. The link will be in the `Pending` state until it is approved from the Ads portal.

### HTTP request

`POST https://mapsbooking.googleapis.com/v1alpha/{parent=partners/*}/adsAccountLinks`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent resource where this Ads account link will be created. This is same as the Partner Center account id. Format: partners/{partner} |

### Query parameters

| Parameters ||
|---|---|
| `adsAccountLinkId` | `string` Required. The ID to use for the Ads Account Link. This is same as Google Ads Customer Id. For details see <https://support.google.com/google-ads/answer/1704344> Format : xxx-xxx-xxxx. |

### Request body

The request body contains an instance of `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks#AdsAccountLink`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/maps-booking/reference/maps-booking-api/rest/v1alpha/partners.adsAccountLinks#AdsAccountLink`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/mapsbooking`